Bug 238761 - j to scroll down, k to scroll up
Summary: j to scroll down, k to scroll up
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Applications
Component: general (show other bugs)
Version: 0.4.0
Platform: Gentoo Packages Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on: 277855
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 07:31 UTC by Corey
Modified: 2012-01-31 14:23 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Corey 2010-05-25 07:31:28 UTC
Version:           0.4.0 (using KDE 4.4.3) 
OS:                Linux

There's a possibly somewhat obscure feature that I really love in konqueror -- the ability to scroll down with the 'j' key, and up with the 'k' key, ala vim.

This appears to be built-in on konqueror, but I see no reason why it couldn't at least be a shortcuts configuration. 

However implemented, it's really nice because it keeps my fingers from moving off the keyboard home row while I scan/read/skim through web pages - it'd be great if rekonq could provide this same, albeit arguably minor, bit of convenience!

Thanks, and kind regards to the developers - rekonq is quickly becoming my preferred browser of choice!



Reproducible: Didn't try
Comment 1 Corey 2010-05-25 07:33:46 UTC
(I guess if j/k is implemented for scroll page up/down; then perhaps h/l can also be used for scroll page left/right - again, ala vi keybindings)
Comment 2 Thomas Murach 2011-05-06 19:33:27 UTC
Is this still wanted? If so, I could implement this. I'll wait for your replies.
Best regards,
Thomas
Comment 3 eternalfuzzy1 2011-05-09 21:15:43 UTC
I would still appreciate this feature.
Comment 4 Davor Cubranic 2011-05-16 07:16:26 UTC
I also miss this great Konqueror feature in Rekonq.
Comment 5 Thomas Murach 2011-05-16 13:20:13 UTC
Alright, I'll see what I can do!
Comment 6 Andrea Diamantini 2011-06-27 22:02:53 UTC
Git commit be0d469407cb2126fb73bd6ee7c476743b9a046f by Andrea Diamantini.
Committed on 27/06/2011 at 23:58.
Pushed by adjam into branch 'master'.

Add shortcuts for scrolling as in vi or konqi

BUG:238761

Patch by Thomas Murach, thanks :D

Reviewed by me ;)

M  +21   -0    src/webview.cpp     

http://commits.kde.org/rekonq/be0d469407cb2126fb73bd6ee7c476743b9a046f
Comment 7 Davor Cubranic 2011-06-29 06:18:29 UTC
These are not configurable shortcuts, judging by the commit diff?
Comment 8 Andrea Diamantini 2011-08-02 09:15:04 UTC
Git commit a47bb9051d9a3253c1a325bd7e9d6910780cb9cd by Andrea Diamantini.
Committed on 02/08/2011 at 11:12.
Pushed by adjam into branch 'master'.

Revert vi-like shortcuts implementation

In fact, until we have one way to understand if a widget (eg: a
lineedit or a textarea) steals the focus before, this feature will
break their usage.

CCBUG: 238761

M  +0    -22   src/webview.cpp

http://commits.kde.org/rekonq/a47bb9051d9a3253c1a325bd7e9d6910780cb9cd
Comment 9 Davor Cubranic 2011-08-15 17:02:55 UTC
The bug should be reopened now that you reverted the fix, no?
Comment 10 Andrea Diamantini 2011-08-21 16:15:37 UTC
Git commit 4743583e3852d616daf7a7ade480ac5d04295474 by Andrea Diamantini, on behalf of Johannes Troscher.
Committed on 21/08/2011 at 18:15.
Pushed by adjam into branch 'master'.

Fix vi-like navigation shortcuts

This patch introduces a check on input/textarea elements to be sure
we are NOT stealing focus there.. ;)
It also introduces a check to let the feature being optional (just to
be completely sure... )

CCBUG: 238761
REVIEW: 102255
REVIEWED-BY: adjam,elproxy

M  +12   -5    src/settings/settings_general.ui
M  +3    -0    src/rekonq.kcfg
M  +29   -0    src/webview.cpp

http://commits.kde.org/rekonq/4743583e3852d616daf7a7ade480ac5d04295474
Comment 11 Davor Cubranic 2012-01-30 15:28:09 UTC
j/k still don't work for me: 0.8.0 on KUbuntu 11.10
Comment 12 Andrea Diamantini 2012-01-31 07:24:40 UTC
(In reply to comment #11)
> j/k still don't work for me: 0.8.0 on KUbuntu 11.10

Davor, the fix is for master, hence 0.9. At least you can expect it for a bugfix release, (0.8.1, 0.8.2), but it's obvious it cannot work in your running 0.8. I don't know how I can explain this...
Comment 13 Davor Cubranic 2012-01-31 14:23:16 UTC
Sorry, I thought 0.8 came out after the fix was released.